Subject: Re: bug#10015: Guile-2.0.3: test-ffi fails

From: Hans Aberg <[email-masked]>
Date: Thu, 17 Nov 2011 09:30:37 +0100

On 16 Nov 2011, at 22:46, Andy Wingo wrote:

> On Wed 16 Nov 2011 21:16, Hans Aberg <[email-masked]> writes:
> 
>> On 16 Nov 2011, at 20:30, Andy Wingo wrote:
>> 
>>> On Thu 10 Nov 2011 22:16, Hans Aberg <[email-masked]> writes:
>>> 
>>>> With guile-2.0.3, OS X 10.7.2, Xcode 4.2,
>>>> i686-apple-darwin11-llvm-gcc-4.2 (GCC) 4.2.1, 'make check' fails on
>>>> test-ffi. Here, libffi-3.0.9 is used; libffi-3.0.10 does not compile
>>>> with the same setup.
>>> 
>>> How does it fail?  Can you provide a backtrace?
>> 
>> If you tell mw how. Have have a later version of Libffi, though, which
>> should perhaps be tried.
> 
> $ cd test-suite/standalone

After rebuilding that, I have
$ pwd
/usr/local/src/guile/guile-2.0.3/test-suite/standalone

> $ builddir=`pwd` ../../meta/gdb-uninstalled-guile

Then this produce a lot of errors 
This GDB was configured as "x86_64-apple-darwin"...Reading symbols for shared libraries .....
warning: Could not find object file "/usr/local/src/gettext-0.18/gettext-tools/intl/.libs/bindtextdom.o" - no debug information available for "../../gettext-runtime/intl/bindtextdom.c".
...
warning: Could not find object file "/usr/local/src/libunistring-0.9.3/lib/.libs/c-ctype.o" - no debug information available for "c-ctype.c".
...
warning: Could not find object file "/Users/haberg/libiconv-1.9.2/lib/.libs/iconv.o" - no debug information available for "./iconv.c".
...
warning: Could not find object file "/Users/haberg/libiconv-1.9.2/lib/.libs/localcharset.o" - no debug information available for "./../libcharset/lib/localcharset.c".
...
warning: Could not find object file "/usr/local/src/libtool-2.4/libltdl/loaders/.libs/libltdl_libltdl_la-preopen.o" - no debug information available for "libltdl/loaders/preopen.c".

I have those libraries installed, but in /usr/local/src/ are just unpacked libraries.

> (gdb) run
> scheme@(guile-user)> (load "test-ffi")

So I do not get that far.

Hans